package de.renew.logging.gui.test.helper;

import java.util.LinkedList;
import java.util.List;

import de.renew.logging.gui.StepTrace;
import de.renew.logging.gui.StepTraceChangeListener;

public class TestStepTraceChangeListener implements StepTraceChangeListener {

    public List<StepTrace> getStepTraces() {
        return _stepTraces;
    }

    final private List<StepTrace> _stepTraces = new LinkedList<>();

    @Override
    public void stepTraceChanged(final StepTrace stepTrace) {
        _stepTraces.add(stepTrace);
    }


}
